*Do-File zum Sammelbandbeitrag
*"Gemeinsames Regieren, getrennte Rechnungen. Brgerurteile ber die Regierung Merkel II und Wahlverhalten 2013"
*Harald Schoen und Robert Greszki
clear
use "PFAD\ZA5721_v1-0-0.dta"
****Datenmodifikation****
**Unabhngige Variablen**
*Leistung der Bundesregierung und der einzelnen Regierungsparteien
gen zuf_bureg=(t16-6)/5 if t16>0 & t16<12
gen zuf_cdu=(t17a-6)/5 if t17a>0 & t17a<12
gen zuf_csu=(t17b-6)/5 if t17b>0 & t17c<12
gen zuf_fdp=(t17c-6)/5 if t17c>0 & t17c<12
*Leistung der Bundesregierung bei der Schuldenkrise
gen zuf_kris_br=(3-t315a)/2 if t315a>0 & t315a<6
*Bewertung Politiker
gen merkel=(t15a-6)/5 if t15a>0 & t15a<12
gen brderle=(t15e-6)/5 if t15e>0 & t15e<12
gen seehofer=(t15i-6)/5 if t15i>0 & t15i<12
gen steinb=(t15b-6)/5 if t15b>0 & t15b<12
gen trittin=(t15c-6)/5 if t15c>0 & t15c<12
gen gysi=(t15d-6)/5 if t15d>0 & t15d<12
*Politikdimensionen
tab1 t308?
corr t308? t154 t114
alpha t308c t308d t308i t308j t114, i d
alpha t308a t308g t308h t154, i d
gen foreign2=((t308a-1)/4+(5-t308e)/4+(t154-1)/10)/3
gen foreign=((t308a-1)/4+(t154-1)/10)/2 if t308a >0 & t308a <6 & t154>0 & t154 <12
gen europe=(5-t308e)/4 if t308e>0 & t308e<6
tab europe
gen econ=((t308c-1)/4+(5-t308d)/4+(5-t308i)/4+(11-t114)/10)/4 if t308c>0 & t308c<6 & t308d>0 & t308d<6 & t308i>0 & t308i<6 & t114>0 & t114<12
tab1 foreign econ
*Parteiidentifikation
tab t46a
gen pidcdu=0
replace pidcdu=1 if t46a==2|t46a==3
gen pidspd=0
replace pidspd=1 if t46a==4
gen pidgru=0
replace pidgru=1 if t46a==6
gen pidfdp=0
replace pidfdp=1 if t46a==5
gen pidlin=0
replace pidlin=1 if t46a==7
gen nopid=0
replace nopid=1 if t46a==808
tab pidlin
*Links-Rechts-Selbsteinstufung
tab t24
gen lr=(t24-6)/5 if t24>0 & t24<12
tab lr
*Kompetenzzuschreibungen
gen cdukomp=0
replace cdukomp=1 if t11a==1
gen spdkomp=0
replace spdkomp=1 if t11a==4
gen grukomp=0
replace grukomp=1 if t11a==6
gen linkomp=0
replace linkomp=1 if t11a==7
tab cdukomp
*Allgemeine wirtschaftliche Lage
tab t29
gen awl_lo=0 if t29>0 & t29<6
replace awl_lo=1 if t29==4|t29==5
gen awl_hi=0 if t29>0 & t29<6
replace awl_hi=1 if t29==1|t29==2
tab awl_lo
gen awl=(3-t29)/2 if t29>0 & t29<6
tab awl
* Sozstru
gen gewerk=0
replace gewerk=1 if t49a>0 & t49a<4
tab gewerk
gen kath=0
replace kath=1 if t60==3
gen ev=0
replace ev=1 if t60==1|t60==2
tab1 kath ev
gen oschicht=0 if t69>0 & t69<5
replace oschicht=1 if t69==5|t69==6
gen auschicht=0 if t69>0 & t69<7
replace auschicht=1 if t69==1|t69==2
tab oschicht auschicht
tab ostwest
gen sex=t1-1
gen age=2013-t2
tab age
gen educ_lo=0 if t3>0 & t3<9
replace educ_lo=1 if t3>0 & t3<5
gen educ_hi=0 if t3>0 & t3<9
replace educ_hi=1 if t3>6 & t3<9
tab1 educ_lo educ_hi
**Abhngige Variable**
*Wahlabsicht
tab1 t903ba t904ba
gen vote=1 if t903ba==1|t904ba==1
replace vote=2 if t903ba==4|t904ba==4
replace vote=3 if t903ba==5|t904ba==5
replace vote=4 if t903ba==6|t904ba==6
replace vote=5 if t903ba==7|t904ba==7
replace vote=6 if t903ba==215|t904ba==215
replace vote=7 if t903ba==322|t904ba==322
tab vote
gen vote2=vote if (vote>0 & vote<6)| vote==7
tab vote2
***ABBILDUNGEN UND TABELLEN***
***Abbildung 2
//Mittlere Zufriedenheit mit der Leistung der Bundesregierung, den Regierungs-
//parteien und der Leistung der Bundesregierung bei der Schuldenkrise (auf einer Skala von -1 bis +1)
tab1 zuf_bureg zuf_cdu zuf_csu zuf_fdp zuf_kris_br
mean zuf_bureg zuf_cdu zuf_csu zuf_fdp zuf_kris_br [pw=wei_mzz]
mean zuf_bureg zuf_cdu zuf_csu zuf_fdp zuf_kris_br if t46a==2|t46a==3 [pw=wei_mzz]
mean zuf_bureg zuf_cdu zuf_csu zuf_fdp zuf_kris_br [pw=wei_mzz] if t46a==4
mean zuf_bureg zuf_cdu zuf_csu zuf_fdp zuf_kris_br [pw=wei_mzz] if t46a==5
mean zuf_bureg zuf_cdu zuf_csu zuf_fdp zuf_kris_br [pw=wei_mzz] if t46a==6
mean zuf_bureg zuf_cdu zuf_csu zuf_fdp zuf_kris_br [pw=wei_mzz] if t46a==808
*Tabelle 1
//Die Wirkung von Urteilen ber die Leistung der Bundesregierung auf die
//Wahlentscheidung 2013 unter Kontrolle anderer Prdiktoren (multinomiale logistische Regression)
mlogit vote2 zuf_bureg cdukomp spdkomp merkel steinb brderle trittin gysi pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
***Tabelle 2
//Marginale Effekte der Leistungsbewertungen auf die Wahl
//der einzelnen Parteien in den konservativen multinomialen Modellen
* Zufriedenheit Bundesregierung
mlogit vote2 zuf_bureg cdukomp spdkomp merkel steinb brderle trittin gysi pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(7))
*Zufriedenheit Regierungsparteien
mlogit vote2 zuf_cdu zuf_csu zuf_fdp cdukomp spdkomp merkel steinb brderle trittin gysi pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(7))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(7))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(7))
*Leistung Bundesregierung bei der Schuldenkrise
mlogit vote2 zuf_kris_br cdukomp spdkomp merkel steinb brderle trittin gysi pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(7))
***Tabelle 3
//Marginale Effekte der Leistungsbewertungen auf die Wahl der einzelnen
//Parteien in den weniger konservativen multinomialen Modellen
//(ohne Kompetenz-zuschreibungen und Politikerbewertungen)
* Zufriedenheit Bundesregierung
mlogit vote2 zuf_bureg pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_bureg) predict(outcome(7))
*Zufriedenheit Regierungsparteien
mlogit vote2 zuf_cdu zuf_csu zuf_fdp pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_cdu) predict(outcome(7))
margins [pweight=wei_mzz], dydx(zuf_csu) predict(outcome(7))
margins [pweight=wei_mzz], dydx(zuf_fdp) predict(outcome(7))
*Leistung Bundesregierung bei der Schuldenkrise
mlogit vote2 zuf_kris_br pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(1))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(2))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(3))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(4))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(5))
margins [pweight=wei_mzz], dydx(zuf_kris_br) predict(outcome(7))
*Tabelle im Anhang
//Die Wirkung von Urteilen ber die Zufriedenheit mit den Leistungen
//der Regierungs- parteien auf die Wahlentscheidung 2013 unter Kontrolle anderer Prdiktoren
//(multinomiale logistische Regression)
mlogit vote2 zuf_cdu zuf_csu zuf_fdp cdukomp spdkomp merkel steinb brderle trittin gysi pidcdu pidspd pidfdp nopid econ foreign europe lr awl [pw=wei_mzz]
